import { request } from '@/utils/request';

/**
 * 获取商家列表信息
 * @returns
 */
export function getSellerList(params){
  return request({
    url:'/maintain/merchants',
	data:params,
    method: 'GET',
    header:{
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 获取商家详情信息
export function getSellsDetail(id,data){
  return request({
    url:`/maintain/merchant/${id}`,
    method: 'GET',
    data: data,
    header:{
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

/**
 * 商品详情
 * @returns
 */
export function getGoodsDetail(id){
  return request({
    url:`/maintain/goods/${id}`,
    method: 'GET',
    header:{
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

/**
 * 分类接口 - 获取分类列表
 * @returns
 */
export function maintainCategories(id){
  return request({
    url:`/maintain/categories`,
    method: 'GET',
    header:{
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

/**
 * 预约接口 - 新增预约
 * @param {*} data
 * @returns
 */
export function addReservation(merchantId,data) {
  return request({
    url: `/maintain/merchant/${merchantId}/reservation`,
    method: 'post',
    data: data,
    header: {
      'Content-Type': 'application/json',
    },
  });
}

// 收藏商家接口
export function addFavorite(id) {
  return request({
    url: `/maintain/merchant/${id}/favorite`,
    method: 'post',
    header: {
      'Content-Type': 'application/x-www-form-urlencoded',
    },
  });
}
